Linux repositories inspector

python2-boto3 - Amazon Web Services Library

Boto3 is the Amazon Web Services (AWS) Software Development Kit (SDK) for Python, which allows Python developers to write software that makes use of services like Amazon S3 and Amazon EC2.

For documentation consult the online documentation at
http://boto3.readthedocs.org/en/latest/
1.9.187
Arch iconArch rolling
1.9.179
OpenSUSE iconOpenSUSE Tumbleweed
1.9.126
Manjaro iconManjaro rolling
1.9.120
Manjaro iconManjaro rolling
1.9.57
OpenSUSE iconOpenSUSE Leap 15.0
OpenSUSE iconOpenSUSE Leap 15.1
1.7.41
Fedora iconFedora 29
1.6.1
Fedora iconFedora 28
1.5.1
OpenSUSE iconOpenSUSE Leap 15.0
1.4.0
CentOS iconCentOS 7.6.1810
DistributionVersionSincePackageInstalledPackager
Arch iconArch rolling community/osxz1.9.187-10 - 11:11106 kiB1.38 MiB
CentOS iconCentOS 7.6.1810 virt/ovirt-4.2rpm1.4.0-1.el7Jan 23128 kiB994 kiB
CentOS iconCentOS 7.6.1810 virt/ovirt-4.3rpm1.4.0-1.el7Jan 23128 kiB994 kiB
Fedora iconFedora 28 releases/Everything-osrpm1.6.1-1.fc28Jan 14136 kiB1.13 MiBFedora Project
Fedora iconFedora 29 releases/Everything-osrpm1.7.41-1.fc29Jan 14136 kiB1.13 MiBFedora Project
Fedora iconFedora 29 releases-test/Everything-osrpm1.7.41-1.fc29Jan 14136 kiB1.13 MiBFedora Project
Manjaro iconManjaro rolling stable/communityxz1.9.120-1Apr 03106 kiB1.39 MiB
Manjaro iconManjaro rolling testing/communityxz1.9.126-1Apr 05106 kiB1.39 MiB
Manjaro iconManjaro rolling unstable/communityxz1.9.126-1Apr 02106 kiB1.39 MiB
OpenSUSE iconOpenSUSE Leap 15.0 ossrpm1.5.1-lp150.1.3Jan 17129 kiB870 kiBhttps://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.0 update/ossrpm1.9.57-lp150.2.3.1Jan 18193 kiB883 kiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.1 ossrpm1.9.57-lp151.1.1Jan 23193 kiB883 kiBhttps://bugs.opensuse.org
OpenSUSE iconOpenSUSE Tumbleweed ossrpm1.9.179-1.1Jul 02238 kiB893 kiBhttps://bugs.opensuse.org

Latest updates

Arch rolling icon

Arch rolling community/os: Updated from 1.9.183-1 to 1.9.187-1

0 - 11:11
Arch rolling icon

Arch rolling community/os: Updated from 1.9.178-1 to 1.9.183-1

Jul 05
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed oss: Updated from 1.9.172-1.1 to 1.9.179-1.1

Jul 02
  • Version update to 1.9.179
    • api-change:``directconnect``: [``botocore``] Update directconnect client to latest version
    • api-change:``pinpoint``: [``botocore``] Update pinpoint client to latest version
    • api-change:``workspaces``: [``botocore``] Update workspaces client to latest version
    • api-change:``ec2-instance-connect``: [``botocore``] Update ec2-instance-connect client to latest version
  • from version 1.9.178
    • api-change:``dynamodb``: [``botocore``] Update dynamodb client to latest version
  • from version 1.9.177
    • api-change:``codecommit``: [``botocore``] Update codecommit client to latest version
    • api-change:``apigatewayv2``: [``botocore``] Update apigatewayv2 client to latest version
  • from version 1.9.176
    • api-change:``ec2``: [``botocore``] Update ec2 client to latest version
    • api-change:``eks``: [``botocore``] Update eks client to latest version
  • from version 1.9.175
    • api-change:``application-insights``: [``botocore``] Update application-insights client to latest version
    • api-change:``securityhub``: [``botocore``] Update securityhub client to latest version
    • api-change:``apigateway``: [``botocore``] Update apigateway client to latest version
    • api-change:``elbv2``: [``botocore``] Update elbv2 client to latest version
    • api-change:``fsx``: [``botocore``] Update fsx client to latest version
    • api-change:``service-quotas``: [``botocore``] Update service-quotas client to latest version
    • api-change:``resourcegroupstaggingapi``: [``botocore``] Update resourcegroupstaggingapi client to latest version
    • api-change:``ssm``: [``botocore``] Update ssm client to latest version
    • api-change:``apigatewayv2``: [``botocore``] Update apigatewayv2 client to latest version
  • from version 1.9.174
    • api-change:``devicefarm``: [``botocore``] Update devicefarm client to latest version
    • api-change:``iam``: [``botocore``] Update iam client to latest version
    • api-change:``mediapackage``: [``botocore``] Update mediapackage client to latest version
    • api-change:``kinesis-video-media``: [``botocore``] Update kinesis-video-media client to latest version
  • from version 1.9.173
    • api-change:``health``: [``botocore``] Update health client to latest version
    • api-change:``glue``: [``botocore``] Update glue client to latest version
    • api-change:``iotevents-data``: [``botocore``] Update iotevents-data client to latest version
    • api-change:``opsworks``: [``botocore``] Update opsworks client to latest version
    • api-change:``rds``: [``botocore``] Update rds client to latest version
    • api-change:``acm-pca``: [``botocore``] Update acm-pca client to latest version
  • Update BuildRequires and Requires in spec file from setup.py
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed oss: Updated from 1.9.166-1.1 to 1.9.172-1.1

Jun 28
  • Version update to 1.9.172
    • api-change:``eks``: [``botocore``] Update eks client to latest version
  • from version 1.9.171
    • api-change:``ec2``: [``botocore``] Update ec2 client to latest version
    • api-change:``resourcegroupstaggingapi``: [``botocore``] Update resourcegroupstaggingapi client to latest version
  • from version 1.9.170
    • api-change:``neptune``: [``botocore``] Update neptune client to latest version
    • api-change:``servicecatalog``: [``botocore``] Update servicecatalog client to latest version
    • api-change:``robomaker``: [``botocore``] Update robomaker client to latest version
    • bugfix:Paginator: [``botocore``] Fixes a bug where pagination tokens with three consecutive underscores would result in a parsing failure. Resolves boto/boto3`#1984 <https://github.com/boto/boto3/issues/1984>`__.
  • from version 1.9.169
    • api-change:``cloudfront``: [``botocore``] Update cloudfront client to latest version
    • api-change:``personalize``: [``botocore``] Update personalize client to latest version
    • api-change:``ec2``: [``botocore``] Update ec2 client to latest version
    • api-change:``appstream``: [``botocore``] Update appstream client to latest version
  • from version 1.9.168
    • api-change:``appmesh``: [``botocore``] Update appmesh client to latest version
    • api-change:``elasticache``: [``botocore``] Update elasticache client to latest version
    • api-change:``ec2``: [``botocore``] Update ec2 client to latest version
    • api-change:``guardduty``: [``botocore``] Update guardduty client to latest version
  • from version 1.9.167
    • api-change:``servicecatalog``: [``botocore``] Update servicecatalog client to latest version
  • Update BuildRequires and Requires in spec file from setup.py
Arch rolling icon

Arch rolling community/os: Updated from 1.9.173-1 to 1.9.178-1

Jun 27
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed oss: Updated from 1.9.156-1.2 to 1.9.166-1.1

Jun 22
  • Version update to 1.9.166
    • api-change:``sagemaker``: [``botocore``] Update sagemaker client to latest version
  • from version 1.9.165
    • api-change:``codebuild``: [``botocore``] Update codebuild client to latest version
    • api-change:``personalize-runtime``: [``botocore``] Update personalize-runtime client to latest version
    • api-change:``codecommit``: [``botocore``] Update codecommit client to latest version
    • api-change:``personalize-events``: [``botocore``] Update personalize-events client to latest version
    • api-change:``personalize``: [``botocore``] Update personalize client to latest version
  • from version 1.9.164
    • api-change:``ec2``: [``botocore``] Update ec2 client to latest version
  • from version 1.9.163
    • api-change:``ecs``: [``botocore``] Update ecs client to latest version
    • api-change:``organizations``: [``botocore``] Update organizations client to latest version
    • api-change:``logs``: [``botocore``] Update logs client to latest version
    • api-change:``dynamodb``: [``botocore``] Update dynamodb client to latest version
    • api-change:``guardduty``: [``botocore``] Update guardduty client to latest version
    • api-change:``ssm``: [``botocore``] Update ssm client to latest version
    • api-change:``ses``: [``botocore``] Update ses client to latest version
    • api-change:``mediaconnect``: [``botocore``] Update mediaconnect client to latest version
  • from version 1.9.162
    • api-change:``glue``: [``botocore``] Update glue client to latest version
  • from version 1.9.161
    • api-change:``ec2``: [``botocore``] Update ec2 client to latest version
    • api-change:``storagegateway``: [``botocore``] Update storagegateway client to latest version
    • api-change:``s3``: [``botocore``] Update s3 client to latest version
    • api-change:``elasticache``: [``botocore``] Update elasticache client to latest version
    • api-change:``iam``: [``botocore``] Update iam client to latest version
  • from version 1.9.160
    • api-change:``ec2``: [``botocore``] Update ec2 client to latest version
    • api-change:``rds``: [``botocore``] Update rds client to latest version
  • from version 1.9.159
    • api-change:``iotevents-data``: [``botocore``] Update iotevents-data client to latest version
    • api-change:``iotevents``: [``botocore``] Update iotevents client to latest version
    • api-change:``pinpoint-email``: [``botocore``] Update pinpoint-email client to latest version
    • api-change:``iotanalytics``: [``botocore``] Update iotanalytics client to latest version
    • api-change:``codecommit``: [``botocore``] Update codecommit client to latest version
    • api-change:``rds-data``: [``botocore``] Update rds-data client to latest version
    • api-change:``rds``: [``botocore``] Update rds client to latest version
    • api-change:``servicecatalog``: [``botocore``] Update servicecatalog client to latest version
    • api-change:``kafka``: [``botocore``] Update kafka client to latest version
  • from version 1.9.158
    • api-change:``ssm``: [``botocore``] Update ssm client to latest version
    • api-change:``securityhub``: [``botocore``] Update securityhub client to latest version
    • api-change:``iotthingsgraph``: [``botocore``] Update iotthingsgraph client to latest version
    • api-change:``dlm``: [``botocore``] Update dlm client to latest version
    • api-change:``rds``: [``botocore``] Update rds client to latest version
    • api-change:``ec2``: [``botocore``] Update ec2 client to latest version
  • from version 1.9.157
    • api-change:``groundstation``: [``botocore``] Update groundstation client to latest version
    • api-change:``transcribe``: [``botocore``] Update transcribe client to latest version
    • api-change:``chime``: [``botocore``] Update chime client to latest version
    • api-change:``rds``: [``botocore``] Update rds client to latest version
    • api-change:``waf``: [``botocore``] Update waf client to latest version
    • api-change:``pinpoint-email``: [``botocore``] Update pinpoint-email client to latest version
    • api-change:``robomaker``: [``botocore``] Update robomaker client to latest version
    • api-change:``sts``: [``botocore``] Update sts client to latest version
    • api-change:``storagegateway``: [``botocore``] Update storagegateway client to latest version
  • Update BuildRequires and Requires in spec file from setup.py
Arch rolling icon

Arch rolling community/os: Updated from 1.9.172-1 to 1.9.173-1

Jun 21
Arch rolling icon

Arch rolling community/os: Updated from 1.9.159-1 to 1.9.172-1

Jun 20
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed oss: Updated from 1.9.96-3.1 to 1.9.156-1.2

Jun 17
  • Version update to 1.9.156
    • api-change:``mediastore-data``: [``botocore``] Update mediastore-data client to latest version
    • api-change:``codedeploy``: [``botocore``] Update codedeploy client to latest version
    • api-change:``opsworkscm``: [``botocore``] Update opsworkscm client to latest version
  • from version 1.9.155
    • api-change:``waf-regional``: [``botocore``] Update waf-regional client to latest version
    • api-change:``ec2``: [``botocore``] Update ec2 client to latest version
  • from version 1.9.154
    • api-change:``efs``: [``botocore``] Update efs client to latest version
    • api-change:``ec2``: [``botocore``] Update ec2 client to latest version
    • api-change:``apigateway``: [``botocore``] Update apigateway client to latest version
    • api-change:``worklink``: [``botocore``] Update worklink client to latest version
    • api-change:``rds``: [``botocore``] Update rds client to latest version
    • api-change:``servicecatalog``: [``botocore``] Update servicecatalog client to latest version
    • api-change:``devicefarm``: [``botocore``] Update devicefarm client to latest version
    • api-change:``budgets``: [``botocore``] Update budgets client to latest version
  • from version 1.9.153
    • api-change:``datasync``: [``botocore``] Update datasync client to latest version
    • api-change:``alexaforbusiness``: [``botocore``] Update alexaforbusiness client to latest version
  • from version 1.9.152
    • api-change:``kafka``: [``botocore``] Update kafka client to latest version
    • api-change:``meteringmarketplace``: [``botocore``] Update meteringmarketplace client to latest version
    • api-change:``mediapackage-vod``: [``botocore``] Update mediapackage-vod client to latest version
  • from version 1.9.151
    • api-change:``appstream``: [``botocore``] Update appstream client to latest version
  • from version 1.9.150
    • api-change:``medialive``: [``botocore``] Update medialive client to latest version
    • api-change:``s3``: [``botocore``] Update s3 client to latest version
  • from version 1.9.149
    • api-change:``ec2``: [``botocore``] Update ec2 client to latest version
    • api-change:``transcribe``: [``botocore``] Update transcribe client to latest version
    • api-change:``mediapackage``: [``botocore``] Update mediapackage client to latest version
    • api-change:``codepipeline``: [``botocore``] Update codepipeline client to latest version
    • enhancement:Environment Variables: [``botocore``] Ignore env var credentials is values are empty (`#1680 <https://github.com/boto/botocore/issues/1680>`__)
    • api-change:``rds``: [``botocore``] Update rds client to latest version
  • from version 1.9.148
    • api-change:``comprehend``: [``botocore``] Update comprehend client to latest version
    • api-change:``chime``: [``botocore``] Update chime client to latest version
    • api-change:``storagegateway``: [``botocore``] Update storagegateway client to latest version
    • api-change:``ec2``: [``botocore``] Update ec2 client to latest version
  • Update BuildRequires and Requires in spec file from setup.py
Arch rolling icon

Arch rolling community/os: Updated from 1.9.126-1 to 1.9.159-1

Jun 17
Manjaro rolling icon

Manjaro rolling testing/community: Updated from 1.9.120-1 to 1.9.126-1

Apr 05
Manjaro rolling icon

Manjaro rolling stable/community: Updated from 1.9.112-1 to 1.9.120-1

Apr 03
Manjaro rolling icon

Manjaro rolling unstable/community: Updated from 1.9.120-1 to 1.9.126-1

Apr 02
Arch rolling icon

Arch rolling community/os: Updated from 1.9.120-1 to 1.9.126-1

Apr 02
Manjaro rolling icon

Manjaro rolling testing/community: Updated from 1.9.112-1 to 1.9.120-1

Apr 01
Manjaro rolling icon

Manjaro rolling unstable/community: Updated from 1.9.112-1 to 1.9.120-1

Mar 26
Arch rolling icon

Arch rolling community/os: Updated from 1.9.112-1 to 1.9.120-1

Mar 25
OpenSUSE Leap 15.0 icon

OpenSUSE Leap 15.0 update/oss: Version 1.9.57-lp150.2.3.1 reintroduced

Mar 23
  • Version update to 1.9.57 (bsc#1118021, bsc#1118027)
    • bugfix:s3: [``botocore``] Add md5 header injection to new operations that require it
    • api-change:``s3``: [``botocore``] Update s3 client to latest version
  • from version 1.9.56
    • api-change:``elbv2``: [``botocore``] Update elbv2 client to latest version
    • api-change:``stepfunctions``: [``botocore``] Update stepfunctions client to latest version
    • api-change:``xray``: [``botocore``] Update xray client to latest version
    • api-change:``lambda``: [``botocore``] Update lambda client to latest version
    • api-change:``events``: [``botocore``] Update events client to latest version
    • api-change:``serverlessrepo``: [``botocore``] Update serverlessrepo client to latest version
    • api-change:``kafka``: [``botocore``] Update kafka client to latest version
    • api-change:``s3``: [``botocore``] Update s3 client to latest version
  • Update Requires in spec file from setup.py
OpenSUSE Leap 15.0 icon

OpenSUSE Leap 15.0 update/oss: Version 1.9.57-lp150.2.3.1 removed

Mar 22
Manjaro rolling icon

Manjaro rolling stable/community: Updated from 1.9.107-1 to 1.9.112-1

Mar 21

Related packages

python2 - An interpreted, interactive, object-oriented programming language
⇧ Top